Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.resolver.http.xml
Interface DefaultHttpContentHandler

All Superinterfaces:
  org.xml.sax.ContentHandler, DefaultContentHandler, ResettableContentHandler

    public interface DefaultHttpContentHandler

extends DefaultContentHandler

Since:
  6.1.0.2

Method Summary
`void` | `copyTo(java.io.InputStream is)`
`void` | `copyTo(java.io.InputStream is, ContentType contentType)`
`void` | `copyTo(java.io.InputStream is, java.lang.String mimeType)`
`void` | `copyTo(MultipartInputStream mis)`
`void` | `copyTo(java.io.Reader rdr)`
`void` | `copyTo(javax.xml.transform.Source src)`
`java.io.OutputStream` | `getBinaryTransferEncoding()`
`java.io.Writer` | `getTextTransferEncoding()`
`org.xml.sax.ContentHandler` | `getXmlTransferEncoding()`
`void` | `httpHeader(java.lang.String rKey, java.lang.String rValue)`
`void` | `httpHeaders(java.util.Map<java.lang.String,java.lang.String[]> headers)`
`void` | `httpParameter(java.lang.String rKey, java.lang.String rValue)`
`void` | `httpParameters(java.util.Map<java.lang.String,java.lang.String[]> params)`
`void` | `startBody()`
`void` | `startHeader(java.lang.String rKey)`
`void` | `startHeaders()`
`void` | `startMultipartEntry()`
`void` | `startParameter(java.lang.String rKey)`
`void` | `startParameters()`
`void` | `startRequest(java.lang.String rURI)`
`void` | `startRequest(java.net.URI rURI)`
`void` | `startResponse()`

Methods inherited from interface com.ibm.portal.resolver.xml.DefaultContentHandler
`dateTime, dateTime, getInnerContentHandler, getResult, getWriter, number, number, text, text, transform, uri, uri, uri, uri`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Method Detail

### startRequest

    void startRequest(java.net.URI rURI)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startRequest

    void startRequest(java.lang.String rURI)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startResponse

    void startResponse()
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startHeaders

    void startHeaders()
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startHeader

    void startHeader(java.lang.String rKey)
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### httpHeader

    void httpHeader(java.lang.String rKey,
                    java.lang.String rValue)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startBody

    void startBody()
                   throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startMultipartEntry

    void startMultipartEntry()
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startParameter

    void startParameter(java.lang.String rKey)
                        throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startParameters

    void startParameters()
                         throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### httpParameter

    void httpParameter(java.lang.String rKey,
                       java.lang.String rValue)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### httpParameters

    void httpParameters(java.util.Map<java.lang.String,java.lang.String[]> params)
                        throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### httpHeaders

    void httpHeaders(java.util.Map<java.lang.String,java.lang.String[]> headers)
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getTextTransferEncoding

    java.io.Writer getTextTransferEncoding()
                                           throws org.xml.sax.SAXException,
                                                  java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### getBinaryTransferEncoding

    java.io.OutputStream getBinaryTransferEncoding()
                                                   throws org.xml.sax.SAXException,
                                                          java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### getXmlTransferEncoding

    org.xml.sax.ContentHandler getXmlTransferEncoding()
                                                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### copyTo

    void copyTo(java.io.InputStream is)
                throws org.xml.sax.SAXException,
                       java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### copyTo

    void copyTo(java.io.Reader rdr)
                throws org.xml.sax.SAXException,
                       java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### copyTo

    void copyTo(javax.xml.transform.Source src)
                throws org.xml.sax.SAXException,
                       java.io.IOException,
                       javax.xml.transform.TransformerException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`
    `javax.xml.transform.TransformerException`

### copyTo

    void copyTo(MultipartInputStream mis)
                throws org.xml.sax.SAXException,
                       java.io.IOException,
                       javax.xml.transform.TransformerException,
                       ParseException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`
    `javax.xml.transform.TransformerException`
    `ParseException`

### copyTo

    void copyTo(java.io.InputStream is,
                java.lang.String mimeType)
                throws org.xml.sax.SAXException,
                       java.io.IOException,
                       javax.xml.transform.TransformerException,
                       ParseException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`
    `javax.xml.transform.TransformerException`
    `ParseException`

### copyTo

    void copyTo(java.io.InputStream is,
                ContentType contentType)
                throws org.xml.sax.SAXException,
                       java.io.IOException,
                       javax.xml.transform.TransformerException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`
    `javax.xml.transform.TransformerException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD